Saltar al contenido principal
GET
/
api
/
v1
/
agents
/
{agent_id}
/
schedules
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_schedules.list_agent_schedules(agent_id="<id>", limit=20, order="desc")

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "object": "agent.schedule",
      "id": "<string>",
      "agent_id": "<string>",
      "name": "<string>",
      "status": "active",
      "schedule": {
        "type": "once",
        "run_at": "2023-11-07T05:31:56Z",
        "timezone": "UTC"
      },
      "input": "<string>",
      "conversation": "<string>",
      "previous_response_id": "<string>",
      "metadata": {},
      "temporal_schedule_id": "<string>",
      "last_run_at": "2023-11-07T05:31:56Z",
      "last_run_id": "<string>",
      "run_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

agent_id
string
requerido

Parámetros de consulta

limit
integer
predeterminado:20
Rango requerido: 1 <= x <= 100
order
enum<string>
predeterminado:desc
Opciones disponibles:
asc,
desc

Respuesta

Una lista de horarios de agentes.

object
enum<string>
requerido
Opciones disponibles:
list
data
object[]
requerido
first_id
string | null
requerido
last_id
string | null
requerido
has_more
boolean
requerido